Skip to main content
PUT
/
v1
/
leads
/
{lead}
Remplacer un prospect
curl --request PUT \
  --url https://api.setteo.io/v1/leads/{lead} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ext_id": "crm_123",
  "first_name": "Jean",
  "last_name": "Dupont",
  "username": "jdupont",
  "image": "https://example.com/avatar.jpg",
  "email": "jean.dupont@example.com",
  "phone": "+33612345678",
  "source": "api",
  "warmth": "warm",
  "pipeline_stage": "qualified",
  "data": {
    "company": "Acme Corp"
  },
  "variables": {
    "plan": "pro"
  },
  "enrolled_at": "2026-07-08T12:00:00Z",
  "whatsapp_phone_number_id": 12,
  "tag_ids": [
    1,
    2
  ],
  "attach_tag_ids": [
    3
  ],
  "detach_tag_ids": [
    2
  ]
}
'
{
  "data": {
    "id": 123,
    "ext_id": "crm_123",
    "first_name": "Jean",
    "last_name": "Dupont",
    "username": "jdupont",
    "image": "https://example.com/avatar.jpg",
    "email": "jean.dupont@example.com",
    "phone": "+33612345678",
    "source": "api",
    "warmth": "warm",
    "pipeline_stage": "qualified",
    "variables": {
      "plan": "pro"
    },
    "whatsapp_phone_number_id": 12,
    "created_at": "2026-07-08T12:00:00Z",
    "updated_at": "2026-07-08T12:00:00Z",
    "tags": [
      {
        "id": 1,
        "label": "Prospect chaud",
        "description": "Prospect prêt à réserver un appel.",
        "pipeline_stage": "qualified",
        "created_at": "2026-07-08T12:00:00Z",
        "updated_at": "2026-07-08T12:00:00Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Token API généré depuis votre espace de travail Setteo.

Path Parameters

lead
integer
required

Identifiant du prospect.

Example:

1

Body

application/json
ext_id
string | null
Maximum string length: 255
Example:

"crm_123"

first_name
string | null
Maximum string length: 255
Example:

"Jean"

last_name
string | null
Maximum string length: 255
Example:

"Dupont"

username
string | null
Maximum string length: 255
Example:

"jdupont"

image
string | null
Example:

"https://example.com/avatar.jpg"

email
string<email> | null
Maximum string length: 255
Example:

"jean.dupont@example.com"

phone
string | null
Maximum string length: 255
Example:

"+33612345678"

source
enum<string> | null
Available options:
webhook,
instagram,
whatsapp,
import,
api,
iclosed,
calendly,
null
Example:

"api"

warmth
enum<string> | null
Available options:
cold,
warm,
hot,
null
Example:

"warm"

pipeline_stage
enum<string> | null
Available options:
new,
contacted,
engaged,
qualified,
call_booked,
won,
lost,
null
Example:

"qualified"

data
object | null
Example:
{ "company": "Acme Corp" }
variables
object | null
Example:
{ "plan": "pro" }
enrolled_at
string<date-time> | null
Example:

"2026-07-08T12:00:00Z"

whatsapp_phone_number_id
integer | null
Example:

12

tag_ids
integer[]
Example:
[1, 2]
attach_tag_ids
integer[]
Example:
[3]
detach_tag_ids
integer[]
Example:
[2]

Response

Prospect mis à jour.

data
object
required